package xyz.stachel.zombiesutils.commands;

import java.util.Collections;
import java.util.List;

import net.minecraft.command.CommandException;
import net.minecraft.command.ICommand;
import net.minecraft.command.ICommandSender;
import net.minecraft.command.WrongUsageException;
import net.minecraft.util.BlockPos;
import xyz.stachel.zombiesutils.ZombiesUtils;

class RocketLauncherCommand implements ICommand {
  @Override
  public String getCommandUsage(ICommandSender sender) {
    return "/rl <ticks>";
  }

  @Override
  public String getCommandName() {
    return "rl";
  }

  @Override
  public boolean isUsernameIndex(String[] args, int index) {
    return false;
  }

  @Override
  public List<String> addTabCompletionOptions(ICommandSender sender, String[] args, BlockPos pos) {
    if (args.length == 1) return List.of("-28");
    else return Collections.emptyList();
  }

  @Override
  public boolean canCommandSenderUseCommand(ICommandSender sender) {
    return true;
  }

  @Override
  public void processCommand(ICommandSender sender, String[] args) throws CommandException {
    if (args.length == 0) throw new WrongUsageException("[Missing argument] argument: <ticks>", args);
    else try {
      int ticks = Integer.parseInt(args[0]);
      //TODO
    }
  }
}
